/*
-----------------------------------------------------
   Application Name: "CDRDB"
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
-----------------------------------------------------
        This file is part of "CDRDB".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#ifndef MTMAINTENANCE_H
#define MTMAINTENANCE_H

#include <QDialog>
#include <QSqlTableModel>

namespace Ui {
    class MTMaintenance;
}

class MTMaintenance : public QDialog {
    Q_OBJECT
public:
    MTMaintenance(QWidget *parent = 0);
    ~MTMaintenance();

protected:
    void changeEvent(QEvent *e);

private slots:
    void insertRow();
    void acceptAndCommit();

private:
    Ui::MTMaintenance *ui;
    QSqlTableModel model;
};

#endif // MTMAINTENANCE_H
